import { HTMLAttributes, ReactNode } from "react";

export const ShowcaseCard: React.FC<
  HTMLAttributes<HTMLDivElement> & { bg: string; alt: string }
> = ({ className, children, bg, alt }) => {
  return (
    <div className={`${className} w-full h-full relative`}>
      <div className="absolute bg-black-base/40 rounded-2xl p-12 flex justify-center backdrop-blur items-center w-full h-full flex-col gap-2">
        {children}
      </div>
      <img
        src={bg}
        alt={alt}
        className="rounded-2xl h-full w-full object-cover"
      />
    </div>
  );
};
